/*
 * Global.java
 *
 * Created on December 31, 2004, 3:32 PM
 */

import java.io.*;
import java.awt.*;
import java.util.*;

/**
 *  global data and methods
 * @author  dsmith
 */
public class Global {
    /** the host panel */
    public static MyPanel myPanel; 
    /** diagnostic print stream */
    public static PrintStream debug;
     /** diagnostic print stream */
    public static PrintStream out;
    /** buffered input stream */
    public static BufferedReader input = null;
    /** diagnostic print stream enabler */
    public static boolean doDbg = false;
    /** output print stream enabler */
    public static boolean doOut = false;
    /** standalone or jApplet? */
    public static boolean isStandalone = false;
    /** screen size */
    public static Dimension screenSize;
    /** Time step for real-time execution */
    public static double DT;

    public static void init(boolean isStandalone) {
        DT = 0.03333;    // 30 times a second
        Global.isStandalone = isStandalone;
        if(isStandalone) {    
            try { 
                  debug = new PrintStream( new FileOutputStream( "debug.log" ) ); 
            } 
            catch( IOException e) { 
              System.out.print("Error " + e + " opening debug.log" ); 
            } 
            debug.println("debug log opened");
            doDbg = false;                  // >>>>> Set your initial debug state here <<<<<<<<<<
            try { 
                  out = new PrintStream( new FileOutputStream( "output.txt" ) ); 
            } 
            catch( IOException e) { 
              System.out.print("Error " + e + " opening output.txt" ); 
            } 
            out.println("output.txt opened");
            doOut = true;                  // >>>>> Set your initial output state here <<<<<<<<<<
        }
    }
}