// Deer.java

import java.awt.*;
import java.util.LinkedList;

public class Deer extends Agent {
  // data
    int speed = 3;
  
  public Deer() {
    color = new Color(205, 133, 63);
    nature = DEER;
  }
  
  public void update(LinkedList<Agent> lst) {
    switch(state) {
      case NORMAL:
        nearestThing(lst, WOLF, 100);
        if(foundOne) {
          double dx = targetX - x;
          double dy = targetY - y;
          double th = Math.atan2(dy, dx);
          x -= speed * Math.cos(th);
          y -= speed * Math.sin(th);
        }
        super.update(lst);
        break;
      case DEAD:
        color = Color.BLACK;
        break;
    }
  }
  
  public void draw(Graphics g) {
    super.draw(g);
  }
}